Skip to main content
POST
/
datasources
/
chat
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

# Create request body
body = ChatWithDatasourceRequest(name="Example")

result = client.datasources.chat_with(body=body)
print(result)
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.meibel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Meibel-API-Key
string
header
required

Body

application/json
datasource_ids
string[]
required

Datasources to query

message
string
required

User question

model
string | null

LLM model override

Response

Successful Response